petsc-3.12.4 2020-02-04
Report Typos and Errors

# MatCUSPARSEFormatOperation

indicates the operation of CUSPARSE (GPU) matrices whose operation should use a particular storage format.

### Synopsis

    typedef enum {MAT_CUSPARSE_MULT_DIAG, MAT_CUSPARSE_MULT_OFFDIAG, MAT_CUSPARSE_MULT, MAT_CUSPARSE_ALL} MatCUSPARSEFormatOperation;

Not Collective

| MAT_CUSPARSE_MULT_DIAG | - sets the storage format for the diagonal matrix in the parallel MatMult
| MAT_CUSPARSE_MULT_OFFDIAG | - sets the storage format for the offdiagonal matrix in the parallel MatMult
| MAT_CUSPARSE_MULT | - sets the storage format for the entire matrix in the serial (single GPU) MatMult
| MAT_CUSPARSE_ALL | - sets the storage format for all CUSPARSE (GPU) matrices

### See Also

MatCUSPARSESetFormat(), MatCUSPARSEStorageFormat

### Level

intermediate

### Location

src/mat/../../include/petscmat.h
Index of all Mat routines
Table of Contents for all manual pages
Index of all manual pages